# Record Class CSConfigurationParameters

java.lang.Object
java.lang.Record
com.io7m.certusine.api.CSConfigurationParameters

Record Components:
  `baseDirectory` - The base directory
  `lexical` - The lexical information for the configuration parameters
  `parameters` - The parameter map

All Implemented Interfaces:
  `com.io7m.jlexing.core.LexicalType<URI>`

public record CSConfigurationParameters(Path baseDirectory, com.io7m.jlexing.core.LexicalPosition<URI> lexical, Map<String,String> parameters) extends Record implements com.io7m.jlexing.core.LexicalType<URI>
A set of configuration parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSConfigurationParameters(Path baseDirectory, com.io7m.jlexing.core.LexicalPosition<URI> lexical, Map<String,String> parameters)`
  A set of configuration parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Path`
  `baseDirectory()`
  Returns the value of the `baseDirectory` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jlexing.core.LexicalPosition<URI>`
  `lexical()`
  Returns the value of the `lexical` record component.
  `Map<String,String>`
  `parameters()`
  Returns the value of the `parameters` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSConfigurationParameters

    public CSConfigurationParameters(Path baseDirectory, com.io7m.jlexing.core.LexicalPosition<URI> lexical, Map<String,String> parameters)
    A set of configuration parameters.
    Parameters:
      `baseDirectory` - The base directory
      `lexical` - The lexical information for the configuration parameters
      `parameters` - The parameter map

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### baseDirectory

    public Path baseDirectory()
    Returns the value of the `baseDirectory` record component.
    Returns:
      the value of the `baseDirectory` record component

  - ### lexical

    public com.io7m.jlexing.core.LexicalPosition<URI> lexical()
    Returns the value of the `lexical` record component.
    Specified by:
      `lexical` in interface `com.io7m.jlexing.core.LexicalType<URI>`
    Returns:
      the value of the `lexical` record component

  - ### parameters

    public Map<String,String> parameters()
    Returns the value of the `parameters` record component.
    Returns:
      the value of the `parameters` record component